package com.jianshui.platform.mapper;

import java.util.List;
import com.jianshui.platform.domain.InvoiceDelivery;

/**
 * 发票交付Mapper接口
 * 
 * @author jianshui
 * @date 2023-06-08
 */
public interface InvoiceDeliveryMapper 
{
    /**
     * 查询发票交付
     * 
     * @param id 发票交付主键
     * @return 发票交付
     */
    public InvoiceDelivery selectInvoiceDeliveryById(Long id);

    /**
     * 查询发票交付列表
     * 
     * @param invoiceDelivery 发票交付
     * @return 发票交付集合
     */
    public List<InvoiceDelivery> selectInvoiceDeliveryList(InvoiceDelivery invoiceDelivery);

    /**
     * 新增发票交付
     * 
     * @param invoiceDelivery 发票交付
     * @return 结果
     */
    public int insertInvoiceDelivery(InvoiceDelivery invoiceDelivery);

    /**
     * 修改发票交付
     * 
     * @param invoiceDelivery 发票交付
     * @return 结果
     */
    public int updateInvoiceDelivery(InvoiceDelivery invoiceDelivery);

    /**
     * 删除发票交付
     * 
     * @param id 发票交付主键
     * @return 结果
     */
    public int deleteInvoiceDeliveryById(Long id);

    /**
     * 批量删除发票交付
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInvoiceDeliveryByIds(Long[] ids);
}
